commit 82191dec727fdc4740a7fffce01002a2dcfb3b6f
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Thu Nov 7 18:05:19 2024 +0100

    testsuite: arm: Allow vst1.32 instruction in pr40457-2.c
    
    When building the test case with neon, the 'vst1.32' instruction is used
    instead of 'strd'. Allow both variants to make the test pass.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/arm/pr40457-2.c: Add vst1.32 as an allowed
            instruction.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 636b8aeacd182351313381636ecbf8dcef1ee45a)

diff --git a/gcc/testsuite/gcc.target/arm/pr40457-2.c b/gcc/testsuite/gcc.target/arm/pr40457-2.c
index 31624d35127..5f742a3029a 100644
--- a/gcc/testsuite/gcc.target/arm/pr40457-2.c
+++ b/gcc/testsuite/gcc.target/arm/pr40457-2.c
@@ -7,4 +7,4 @@ void foo(int* p)
   p[1] = 0;
 }
 
-/* { dg-final { scan-assembler "strd|stm" } } */
+/* { dg-final { scan-assembler "strd|stm|vst1\\.32" } } */

